`POST /api/v1/auth/verify` — verify the signed nonce and issue a session token.
POST
/api/v1/auth/verify
const url = 'https://example.com/api/v1/auth/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"public_key":"example","signature":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/verify \ --header 'Content-Type: application/json' \ --data '{ "public_key": "example", "signature": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
Request body for POST /api/v1/auth/verify.
object
public_key
required
Hex-encoded Ed25519 public key of the operator.
string
signature
required
Hex-encoded Ed25519 signature of the challenge nonce.
string
Example generated
{ "public_key": "example", "signature": "example"}Responses
Section titled “ Responses ”Session token issued
Media type application/json
Response body for POST /api/v1/auth/verify.
object
expires_at
required
Unix timestamp when the token expires.
integer format: int64
token
required
Opaque session token.
string
Example generated
{ "expires_at": 1, "token": "example"}Invalid public key or signature
Signature verification failed